VME Intensity Monitor - Task #12905

Changes to the scaling filter for the PXIE donut ring current device

06/09/2016 07:09 PM - John Diamond

Status: Closed Start date: 06/09/2016
Priority: High Due date:

Assignee: John Diamond % Done: 100%
Category: ACNET Estimated time: 3.00 hours
Target version: Spent time: 2.00 hours
Description

Request from Ning -

GW: Digitizer raw Gate Width reading

RAW_CURRENT: Digitizer raw INT reading divided by raw Gate Width reading

(I don’t remember this clearly anymore, so need to verify with you guys.)

Scaling for MOlEPC (Average Current mA):

Current_Reading = Cl1 * ( C3 ~ ( C2 * RAW_CURRENT ) ) + C4
Values:

Cl = 0.3660774

C2 = 0.0003773625

C3 = 1.7

C4 = -0.268996

777777 D80 parameters changes: —-——————————-—

(I already made these changes.)

New:

Cl =1
c2 =1
C3 =0

Scaling for MO1lEPI (Intensity E10):

Choose between these two:

INT_Reading

[ ClL * (C3 " (C2* RAW_CURRENT ) ) + C4 ]

or

INT_Reading = C5 * Current_Reading * GW + C6

Values:
Cl = 0.3660774
C2 = 0.0003773625

04/19/2021

* GW * C5 + Cé6
C4 = -0.268996

CS 4.9932073

8 / 1.6021766208

C6 =0
—————— D80 parameters changes: ————————————

(I already made these changes.)

New:

Cl =1

c2 =1

C3 =0

—————— End of D80 parameters changes —--————-—
History

#1 - 06/09/2016 07:33 PM - John Diamond
- % Done changed from 0 to 30

Set new default scale factors for P:MO1EPC in pxintstartup (C1, C2 and C3 from Ning's e-mail). Note that the offset (C4) was set using the ACNET
device database (D80).

I'll need to develop a scaling filter for the intensity device (P:MO1EPI).

#2 - 06/09/2016 09:36 PM - John Diamond
- % Done changed from 30 to 80

Created a new filter class for converting the ring pickup's current reading to properly scaled intensity reading. The filter simply multiplies the scaled
current by the gate width according to Ning's description above.

Also, modified the device database entry for P:MO1EPI to include C5 and C6.

Can't test right now, will need to be tested in the morning.

#3 - 06/14/2016 03:19 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 80 to 100

Appears to be working so far.
